Bug 1476012 - Release note needed for Service Catalog deprovision behavior
Summary: Release note needed for Service Catalog deprovision behavior
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Documentation
Version: 3.6.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: ---
Assignee: Alex Dellapenta
QA Contact: Vikram Goyal
Vikram Goyal
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-07-27 20:21 UTC by Erik Nelson
Modified: 2017-08-16 19:51 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-08-15 18:20:16 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Bugzilla 1475251 high CLOSED Mediawiki123 deprovision failed. 2020-10-14 00:28:05 UTC
Red Hat Bugzilla 1475949 unspecified CLOSED Service Catalog does not poll on async deprovision 2020-10-14 00:28:05 UTC

Internal Links: 1475251 1475949

Description Erik Nelson 2017-07-27 20:21:28 UTC
Describe the issue: 

When deprovisioning an APB via the service-catalog and ansible-service-broker, the "Provisioned Service" entry will linger for longer than the assets created by the APB. The Service itself will have correctly been deprovisioned.

This is due to the service catalog "eventually" confirming with the Ansible Service Broker that the service is *actually* gone.

It has been patched upstream with this PR: https://github.com/kubernetes-incubator/service-catalog/pull/1067

Additional information:

Related broker bug: https://bugzilla.redhat.com/show_bug.cgi?id=1475251

Comment 1 Alex Dellapenta 2017-07-27 20:52:54 UTC
xref'd in 3.6 release notes tracker (https://github.com/openshift/openshift-docs/issues/4021).


Note You need to log in before you can comment on or make changes to this bug.